Skip to main content
POST
/
projects
/
{project_id}
/
trigger-subscriptions
Subscribe to Trigger
curl --request POST \
  --url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "integration": "salesforce",
  "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
  "parameters": {
    "recordType": "Opportunity"
  },
  "webhookOverride": {
    "url": "https://example.com",
    "headers": {},
    "metadata": {}
  }
}
'
{
  "id": "<uuid>",
  "type": "SALESFORCE_TRIGGER_RECORD_CREATED",
  "parameters": {
    "recordType": "Opportunity"
  },
  "status": "ACTIVE",
  "dateCreated": "2025-05-31T00:00:00Z",
  "dateLastReceivedEvent": "2025-05-31T00:00:00Z",
  "credentialId": "<uuid>",
  "webhookOverride": {
    "url": "https://example.com"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Paragon User Token (JWT), which you can generate using your project's signing keys.

Headers

X-Paragon-Credential
string<uuid>

Specify a credential ID when multiple accounts are connected for the same integration

Path Parameters

project_id
string
required

Your Paragon Project ID

Body

application/json
integration
string
required

The integration name for the trigger (e.g., salesforce, hubspot)

Example:

"salesforce"

type
string
required

The trigger type to subscribe to

Example:

"SALESFORCE_TRIGGER_RECORD_CREATED"

parameters
object
required

The parameter values to configure this trigger with. If you are collecting these parameters from your users, learn more about rendering UI elements for parameters in User Configuration.

Example:
{ "recordType": "Opportunity" }
webhookOverride
object

Optional. If defined, must have url specified.

Response

Success - Returns the created trigger subscription

id
string<uuid>
required

The subscription ID

Example:

"<uuid>"

type
string
required

The trigger type

Example:

"SALESFORCE_TRIGGER_RECORD_CREATED"

parameters
object
required

The trigger configuration parameters

Example:
{ "recordType": "Opportunity" }
status
enum<string>
required

ACTIVE: currently receiving events. ERRORED: errors checking for records or repeated webhook delivery issues resulted in the trigger being disabled.

Available options:
ACTIVE,
ERRORED
dateCreated
string<date-time>
required

The date the subscription was created

Example:

"2025-05-31T00:00:00Z"

dateLastReceivedEvent
string<date-time>
required

For polling triggers: date we last checked for new records. For webhook triggers: date we last received a webhook event.

Example:

"2025-05-31T00:00:00Z"

credentialId
string<uuid>
required

The credential ID associated with this subscription

Example:

"<uuid>"

error
string

The reason for an error (only present when status is ERRORED)

Example:

"Failed to check for new records after repeated failures. Last error: Request failed with 500 { ... error info ... }"

webhookOverride
object

Undefined if no webhook override is set for this subscription